arrangers:
- link: artist/52626
  names:
    en: pu_freak
- link: artist/5736
  names:
    en: Andy Jayne
- link: artist/16536
  names:
    en: Hoha
- link: artist/59109
  names:
    en: Protricity
- link: artist/3427
  names:
    en: Rexy
- link: artist/5734
  names:
    en: Monobrow
- link: artist/12092
  names:
    en: ergosonic
- link: artist/11430
  names:
    en: Dj Mokram
- link: artist/1233
  names:
    en: DCT
- link: artist/1024
  names:
    en: LuIzA
- link: artist/47532
  names:
    en: bLiNd
- link: artist/59133
  names:
    en: AkumajoBelmont
- names:
    en: Chrono
- link: artist/5313
  names:
    en: WillRock
- link: artist/59086
  names:
    en: Level 99
- link: artist/3425
  names:
    en: Ryan8bit
- link: artist/2689
  names:
    en: 8 Bit Instrumental
- link: artist/59426
  names:
    en: Sixto Sounds
- link: artist/10575
  names:
    en: Harmony
catalog: OCRA-0028
categories:
- Game
category: Game
classification: Arrangement
composers:
- link: artist/624
  names:
    en: Kazuo Sawa
    ja: 澤和雄
covers:
- full: https://media.vgm.io/albums/70/22007/22007-1318222157.jpg
  medium: https://medium-media.vgm.io/albums/70/22007/22007-1318222157.jpg
  name: Front
  thumb: https://thumb-media.vgm.io/albums/70/22007/22007-1318222157.jpg
- full: https://media.vgm.io/albums/70/22007/22007-1318222223.jpg
  medium: https://medium-media.vgm.io/albums/70/22007/22007-1318222223.jpg
  name: Back
  thumb: https://thumb-media.vgm.io/albums/70/22007/22007-1318222223.jpg
discs:
- disc_length: '65:52'
  name: Disc 1
  tracks:
  - names:
      English: Around the World (Title)
    track_length: '3:52'
  - names:
      English: Dodge This Sakura (Vs. Team Japan)
    track_length: '5:30'
  - names:
      English: Birmingham Beatdown (Vs. Team England)
    track_length: '4:27'
  - names:
      English: Dodge Mahal (Vs. Team India)
    track_length: '6:24'
  - names:
      English: Almost Frozen (Vs. Team Iceland)
    track_length: '6:01'
  - names:
      English: Big Blue Ballin' (Vs. Team Shadow)
    track_length: '3:48'
  - names:
      English: Six Dodge Balls and a Lotus Flower (Vs. Team China)
    track_length: '3:56'
  - names:
      English: Nairobi Hop (Vs. Team Kenya)
    track_length: '3:41'
  - names:
      English: I Lost My Balls in Moscow (Vs. Team USSR)
    track_length: '4:32'
  - names:
      English: Lightspeed (Vs. Pro All-Stars)
    track_length: '5:36'
  - names:
      English: Doppelgänger (Vs. Team Shadow)
    track_length: '4:32'
  - names:
      English: Friendly Fire (Versus Play)
    track_length: '3:02'
  - names:
      English: Kill Bill (Bean Ball)
    track_length: '2:19'
  - names:
      English: A Ultima Carimbada (Ending)
    track_length: '4:16'
  - names:
      English: Go Balls Deep! (Versus Play)
    track_length: '3:56'
- disc_length: '14:32'
  name: Disc 2
  tracks:
  - names:
      English: Nairobi Hop (Instrumental) [Vs. Team Kenya]
    track_length: '3:38'
  - names:
      English: Lightspeed (WIP v1) [Vs. Pro All-Stars]
    track_length: '3:48'
  - names:
      English: Almost Frozen (WIP v2) [Vs. Team Iceland]
    track_length: '5:27'
  - names:
      English: Whakisi (WIP) [Vs. Team Kenya]
    track_length: '1:39'
link: album/22007
lyricists:
- link: artist/49606
  names:
    en: Mega Ran
- link: artist/11775
  names:
    en: Khakolak Boy
- link: artist/11776
  names:
    en: Mr. Jones
- link: artist/10575
  names:
    en: Harmony
media_format: 2 Digital
meta:
  added_date: 2010-11-20T16:26
  edited_date: 2011-12-21T20:50
  fetched_date: 2025-12-07T15:21
  ttl: 86400
  visitors: 7885
name: 'Super Dodge Ball: Around the World'
names:
  en: 'Super Dodge Ball: Around the World'
  ja: 'Super Dodge Ball: Around the World'
  ja-latn: 'Super Dodge Ball: Around the World'
notes: 'Super Dodge Ball: Around the World

  Comments from album directors Kyle Crouse (KyleJCrb) & Alan Bish (Murmeli Walan)

  In March 2009, as production was wrapping up on Summoning of Spirits and release
  of that project was imminent, I decided to reach out to my good friend, Walan, about
  helping him wrap up his project, which had been languishing in development hell
  for quite some time. Over two years later, the project is finally complete! With
  19 arrangements from 25 artists, we pay tribute to Kazuo Sawa''s amazing Super Dodge
  Ball soundtrack with an eclectic mix of ethnic, metal, nerdcore hip-hop, new age,
  hardcore trance, and orchestral music. I am very proud to have assisted Walan in
  putting together an album that I feel is very consistent and fun to listen to. I
  hope everyone enjoys checking out Around the World!

  - Kyle Crouse (KyleJCrb)

  The original concept of Around the World was to showcase and tribute the music of
  Kazuo Sawa by reimagining his Super Dodge Ball soundtrack in an ethnic style. Over
  seven years after the concept''s creation, Around the World has been released! Featuring
  19 tracks from 25 artists, AtW includes a wide range of musical styles from rock
  to hip-hop, electronica to world, trance to symphonic. This album would have never
  been completed without the help of co-director KyleJCrb, who stepped in in 2009
  and recruited an amazing group of talented musicians from all corners of the Internet.
  It''s my hope that everyone who listens will enjoy Around the World!

  - Alan Bish (Murmeli Walan)

  -----------------------------------------------------------------------------------------------

  Song comments from album creator and co-director Alan Bish (Murmeli Walan)

  01. Around the World (Title)

  Arrangement: pu_freak

  Performance: pu_freak (piano)

  Director''s Note: The album starts off with the track that shares its title. pu_freak
  starts with a slow, somber piano intro that gradually builds and creates an excitement
  that sets the pace for the entirety of the album. The way that he builds and expands
  on the original melody of the title screen is a common theme throughout Around the
  World.

  02. Dodge This Sakura (Vs. Team Japan)

  Arrangement: bLiNd

  Director''s Note: bLiNd is the best he is at what he does, and what he does is make
  you dance. While technically being an arrangement of the Japanese folk song "Sakura
  Sakura" and not originally written for Super Dodge Ball, Jordan delivers with a
  combination of traditional Japanese instruments and a heavy bass synth that drives
  this high energy remix.

  03. Birmingham Beatdown (Vs. Team England)

  Arrangement: Hoha

  Performance: Hoha (guitar)

  Director''s Note: One of the original visions I had for Around the World was to
  have remixers interpret the music in their own styles while keeping the "flavor"
  of the countries being represented in the game. Hoha went above and beyond in a
  spastic track that jumps all over the place in tempo changes and pays homage to
  good old fashioned British rock. Did you catch the classic British rock reference
  in the intro?

  04. Dodge Mahal (Vs. Team India)

  Arrangement: Protricity

  Performance: bustatunez (flutes), Jeff Ball (violin), Level 99 (guitar)

  Director''s Note: Longtime OverClocked ReMix veteran Protricity takes listeners
  on a journey with this arrangement of the "Team India" theme. This remix continues
  the ideas started in the original song and expands them into a Middle Eastern-influenced
  odyssey with the help of bustatunez on flutes, Level 99 on guitar, and Jeff Ball
  providing expert violin work. Production- and arrangement-wise, this track is truest
  to my original idea for Around the World.

  05. Almost Frozen (Vs. Team Iceland)

  Arrangement: Rexy, Monobrow

  Director''s Note: Okay, so Greenland is actually the island that''s a frozen wasteland,
  but who''s counting? This is one of the oldest tracks on the project, and while
  Rexy''s arrangement was fantastic, the production wasn''t as high as it could be.
  That''s when Monobrow stepped in and added funky prog-rock style synths that improve
  the track a hundred-fold. Excellent work to both of these lovely ladies.

  06. Big Blue Ballin'' (Vs. Team Shadow)

  Arrangement: ergosonic

  Performance: ergosonic (guitar)

  Director''s Note: This track came about thanks to the efforts of co-director KyleJCrb.
  After nearly the entirety of the music side of the album was complete, we found
  ourselves sitting in the OCR album release queue. Kyle decided we had time and room
  for another track, so he reached out to ergosonic from the Dwelling of Duels community.
  I consider "Big Blue Ballin''" to be the "sister track" to "Birmingham Beatdown"
  in that they share a similar off-the-wall, rapid fire, spastic yet playful take
  on the source material.

  07. Six Dodge Balls and a Lotus Flower (Vs. Team China)

  Arrangement: Dj Mokram

  Director''s Note: Throughout the whole of Dj Mokram''s contribution, he creates
  a wonderful soundscape that invokes the land of China. Interesting and lively percussion
  peppers the rest of the remix in a meeting of old and new. If Hoha and ergosonic''s
  tracks are related in theme and style, then this would be the "sister track" to
  Protricity''s India remix.

  08. Nairobi Hop (Vs. Team Kenya)

  Arrangement: DCT, LuIzA

  Performance: Khakolak Boy (vocals), KyleJCrb (sample), LuIzA (guitar), Mega Ran
  (vocals), Mr. Jones (vocals)

  Director''s Note: This is another track that came entirely from KyleJCrb''s connections
  in the remix community. This remix''s life started as a solo effort from DCT. Kyle
  asked for guitars, which LuIzA stepped up and expertly provided. Then Kyle asked
  for rappers, so DCT brought in Mr. Jones and Khakolak Boy from his Urbanizm Music
  label. The addition of nerdcore megastar Random, a.k.a. Mega Ran, sealed the deal
  as one of the hottest tracks on this album. This remix is nothing short of a hip-hop
  masterpiece.

  09. I Lost My Balls in Moscow (Vs. Team USSR)

  Arrangement: AkumajoBelmont

  Performance: Dimmignatt (guitar)

  Director''s Note: HEY HEY HEY HEY HEY HEY HEY HEY. Robbie mashes together the old
  and new, but unlike Dj Mokram and Protricity, he skews this remix closer to the
  new with a dance club track that maybe could play somewhere in Moscow. Dimmignatt
  provides guitar, and the solo in the bridge at 3:21 still gives me chills, and I''ve
  listened to this track countless times prior to release. Creative music ideas flow
  throughout this track, making it a great addition to Robbie''s signature style and
  body of work. EUROBEAT RULES!

  10. Lightspeed (Vs. Pro All-Stars)

  Arrangement: Andy Jayne

  Director''s Note: If memory serves me right, Andy Jayne''s submission to AtW is
  one of the oldest completed tracks. The original version of this track won the People''s
  Remix Competition #65 on the OverClocked ReMix forums and earned a spot for inclusion
  on the album. After a revision late in the album''s production, Andy''s harmonies
  and bassline augment the creative changes to the melody well and create track that
  is just as chilled as it is hot and full of energy.

  11. Doppelganger (Vs. Team Shadow)

  Arrangement: Chrono

  Director''s Note: The final battle of the single player mode is against a stronger
  mirror image of Team USA. Chrono gives to AtW a track that is both chilled out and
  relaxed but at the same time deadly ominous about the last fight of the game. This
  track isn''t nearly as liberal with the arrangement as other tracks on the album,
  but it plays to the original''s strengths.

  12. Friendly Fire (Versus Play)

  Arrangement: WillRock, Level 99

  Performance: WillRock (guitar), Level 99 (guitar)

  Director''s Note: Two words: stadium anthem. WillRock and Level 99 bring the fury
  with epic, rising synth stabs and blistering solos. It''s a genuine face-melter
  and the perfect fight music.

  13. Kill Bill (Bean Ball)

  Arrangement: Ryan8bit

  Performance: Ryan8bit (guitar)

  Director''s Note: For about as long as I''ve been involved with the video game remix
  community, I''ve been a fan of Ryan8bit. Ryan was among the very first people I
  contacted to be a part of the SDB album, and he was the first to accept. His version
  of "Bean Ball" is the most conservative on the album in terms of arrangement, but
  that''s not to say it''s a negative point. This is straight-up, no-frills, dodge-balls-to-the-wall
  rock. An instant classic track from one of the greats of game remixes.

  14. A Ultima Carimbada (Ending)

  Arrangement: 8 Bit Instrumental

  Performance: 8 Bit Instrumental (band)

  Director''s Note: 8 Bit Instrumental is one of the best video game cover bands to
  come out of Brazil, and this track is a good example of what they can do. They take
  the relatively short "Ending" theme and stretch and expand it with rock and chiptune
  elements that end the album the same way it began with pu_freak''s track. It starts
  off strong and gradually fades back into a relaxing acoustic/electric piece that
  provides the perfect ending to Around the World.

  15. Go Balls Deep! (Versus Play)

  Arrangement: Sixto Sounds

  Performance: Sixto Sounds (guitar)

  Director''s Note: Sixto Sounds was originally slated to arrange "Versus Play" for
  the album, but due to technical difficulties, this track was thought to be lost
  forever. WillRock and Level 99 joined the project later and came through with their
  arrangement of the theme, but Sixto rose from the ashes and rebuilt this version
  later, submitting it in the 11th hour to be included as part of the album. Sixto
  delivers on all fronts, bringing us a hard-nosed, smashed-mouth track that''s filled
  to the brim with synths and the near-virtuosic levels of guitar work that have become
  Juan''s staple.

  BONUS 1. Nairobi Hop (Instrumental) [Vs. Team Kenya]

  Arrangement: DCT, LuIzA

  Performance: LuIzA (guitar)

  Instrumental version of track 08.

  BONUS 2. Lightspeed (WIP v1) [Vs. Pro All-Stars]

  Arrangement: Andy Jayne

  Work-in-progress version of track 10.

  BONUS 3. Almost Frozen (WIP v2) [Vs. Team Iceland]

  Arrangement: Rexy

  Work-in-progress version of track 05.

  BONUS 4. Whakisi (WIP) [Vs. Team Kenya]

  Arrangement: Harmony

  Performance: Harmony (vocals)

  Unfinished work-in-progress track.'
organizations:
- &id001
  link: org/47
  names:
    en: OverClocked ReMix
    ja: OverClocked ReMix
    ja-latn: OverClocked ReMix
  role: publisher
performers:
- link: artist/52626
  names:
    en: pu_freak
- link: artist/16536
  names:
    en: Hoha
- link: artist/59271
  names:
    en: bustatunez
- link: artist/11774
  names:
    en: Jeff Ball
- link: artist/59086
  names:
    en: Level 99
- link: artist/12092
  names:
    en: ergosonic
- link: artist/1024
  names:
    en: LuIzA
- link: artist/49606
  names:
    en: Mega Ran
- link: artist/11775
  names:
    en: Khakolak Boy
- link: artist/11776
  names:
    en: Mr. Jones
- link: artist/16537
  names:
    en: Dimmignatt
- link: artist/5313
  names:
    en: WillRock
- link: artist/3425
  names:
    en: Ryan8bit
- link: artist/2689
  names:
    en: 8 Bit Instrumental
- link: artist/59426
  names:
    en: Sixto Sounds
- link: artist/10575
  names:
    en: Harmony
picture_full: https://media.vgm.io/albums/70/22007/22007-1318222157.jpg
picture_small: https://medium-media.vgm.io/albums/70/22007/22007-1318222157.jpg
picture_thumb: https://thumb-media.vgm.io/albums/70/22007/22007-1318222157.jpg
platforms:
- NES (Famicom)
products:
- link: product/2295
  names:
    en: Super Dodge Ball
    ja: 熱血高校ドッジボール部
    ja-latn: Nekketsu Koukou Dodgeball Bu
publish_format: Doujin/Indie
publisher: *id001
related:
- catalog: OUS EP-04
  date: '2008-05-13'
  link: album/6774
  names:
    en: No Balls, No Glory
    ja: No Balls, No Glory
    ja-latn: No Balls, No Glory
  type: doujin
release_date: '2011-10-10'
release_events: []
release_price:
  price: Free
reprints: []
stores:
- link: http://atw.ocremix.org
  name: atw.ocremix.org
- link: http://soundcloud.com/ocremix/sets/super-dodge-ball-around-the-world
  name: SoundCloud
vgmdb_link: https://vgmdb.net/album/22007?perpage=99999
votes: 0
websites:
  Official:
  - link: http://atw.ocremix.org
    name: 'Super Dodge Ball: Around the World | OC ReMix'
